import { HttpClient } from '@angular/common/http';
import { Injectable } from '@angular/core';
import { Observable } from 'rxjs';

@Injectable({
  providedIn: 'root',
})
export class ParametersService {
  private readonly baseUrl = 'api/';
  constructor(private http: HttpClient) {}

  public getParameters(): Observable<any> {
    return this.http.get<any>(`${this.baseUrl}parameters`);
  }

  public SetLockdownInfoDisplay(lockdownInfoDisplay: boolean): Observable<any> {
    return this.http.post(`${this.baseUrl}parameters/`, { lockdownInfoDisplay });
  }
}
