import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';
import { Category } from '../../../../structure-list/models/category.model';
import { Module } from '../../../../structure-list/models/module.model';

@Component({
  selector: 'app-personal-offer-accompaniment',
  templateUrl: './personal-offer-accompaniment.component.html',
  styleUrls: ['./personal-offer-accompaniment.component.scss'],
})
export class PersonalOfferAccompanimentComponent implements OnInit {
  @Input() structureName: string;
  @Input() personalOfferForm: UntypedFormGroup;
  @Input() onlineProcedures: Category;
  @Output() validateForm = new EventEmitter<any>();

  public buttonTypeEnum = ButtonType;
  public selectedModules: Module[] = [];


  ngOnInit(): void {
    this.validateForm.emit();
  }

  public toogleResult(module: Module): void {
    if (this.isSelectedModule(module)) {
      const index = this.selectedModules.findIndex((_module) => _module.id === module.id);
      this.selectedModules.splice(index, 1);
    } else {
      this.selectedModules.push(module);
    }
    this.personalOfferForm
      .get('categories')
      .get('onlineProcedures')
      .patchValue(this.selectedModules.map((module) => module.id));
  }

  public isSelectedModule(module: Module): boolean {
    if (this.selectedModules && this.selectedModules.includes(module)) return true;
    return false;
  }
}
