import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { formUtils } from 'src/app/utils/formUtils';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-access-modality',
  templateUrl: './structure-access-modality.component.html',
})
export class StructureAccessModalityComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() accessModality: Category;
  @Input() isEditMode: boolean;
  @Output() checkChange = new EventEmitter<any>();
  @Output() validateForm = new EventEmitter<any>();

  public formUtils = new formUtils();

  ngOnInit(): void {
    this.validateForm.emit();
  }

  public onCheckChange(event: boolean, formControlName: string, modality: string) {
    this.checkChange.emit({
      event,
      formControlName,
      value: modality,
    });
  }

  public isInArray(formControlName: string, term: string) {
    return this.formUtils.isInCategoryArray(term, formControlName, this.structureForm);
  }

  public goBack(): void {
    history.back();
  }
}
