import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { formUtils } from 'src/app/utils/formUtils';
import { Category } from '../../../../structure-list/models/category.model';

@Component({
  selector: 'app-structure-other-services',
  templateUrl: './structure-other-services.component.html',
})
export class StructureOtherServicesComponent implements OnInit {
  @Input() structureForm: UntypedFormGroup;
  @Input() isEditMode: boolean;
  @Input() equipmentsAndServices: Category;
  @Output() validateForm = new EventEmitter<any>();
  @Output() checkChange = new EventEmitter<any>();
  public formUtils = new formUtils();

  async ngOnInit(): Promise<void> {
    this.validateForm.emit();
  }

  public isInArray(formControlName: string, term: string): boolean {
    return this.formUtils.isInCategoryArray(term, formControlName, this.structureForm);
  }
  public onCheckChange(event: boolean, formControlName: string, modality: string) {
    this.checkChange.emit({
      event,
      formControlName,
      value: modality,
    });
  }
  public goBack(): void {
    history.back();
  }
}
