import { Component, Input, OnInit } from '@angular/core';
import { Router } from '@angular/router';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';

@Component({
  selector: 'app-login-modal',
  templateUrl: './login-modal.component.html',
  styleUrls: ['./login-modal.component.scss'],
})
export class LoginModalComponent implements OnInit {
  @Input() openned: boolean;
  public buttonTypeEnum = ButtonType;
  constructor(private router: Router) {}

  ngOnInit(): void {}

  public handleClose(): void {
    this.openned = false;
  }
  public goToAccountCreation(): void {
    this.router.navigateByUrl('form/account');
    this.handleClose();
  }
  public goLogin(): void {
    this.router.navigate(['/login'], { queryParams: { returnUrl: '/orientation' } });
    this.handleClose();
  }
}
