import { AfterContentChecked, Component, EventEmitter, Input, OnInit, Output, SimpleChanges } from '@angular/core';
import { ButtonType } from '../../../../shared/components/button/buttonType.enum';
import { mediationSteps } from '../../enums/mediationSteps.enum';
import { needsType } from '../../enums/needs.enum';

@Component({
  selector: 'app-navigation',
  templateUrl: './navigation.component.html',
  styleUrls: ['./navigation.component.scss'],
})
export class NavigationComponent implements OnInit {
  @Input() currentStep: mediationSteps;
  @Input() isPageValid: boolean;
  @Input() needType: needsType;
  @Output() goNext = new EventEmitter<any>();
  @Output() goPrev = new EventEmitter<any>();

  public buttonTypeEnum = ButtonType;
  public isLastStep: boolean = false;
  public needsTypeEnum = needsType;
  constructor() {}

  ngOnInit(): void {
    this.checkLastStep();
    if (this.currentStep === mediationSteps.mediationRecap && this.needType === needsType.onlineDemarch) {
      this.isLastStep = true;
    }
  }

  ngOnChanges(changes: SimpleChanges): void {
    if (changes) {
      this.checkLastStep();
    }
  }
  public checkLastStep(): void {
    if (this.currentStep === mediationSteps.mediationRecap && this.needType === needsType.onlineDemarch) {
      this.isLastStep = true;
    } else this.isLastStep = false;
  }

  public nextPage(isPrint?: boolean) {
    this.goNext.emit(isPrint);
  }
  public prevPage() {
    this.goPrev.emit();
  }
}
