import { Component, EventEmitter, Input, Output } from '@angular/core';
import { INeedItem, OrientationUtils } from '../../../../utils/orientationUtils';
import { needsType } from '../../enums/needs.enum';

@Component({
  selector: 'app-needs-selection',
  templateUrl: './needs-selection.component.html',
  styleUrls: ['./needs-selection.component.scss'],
})
export class NeedsSelectionComponent {
  @Input() currentNeed: needsType;
  @Output() setNeedType = new EventEmitter<any>();
  @Output() validate = new EventEmitter<any>();
  public needsList: INeedItem[] = new OrientationUtils().needsList;

  public selectNeed(event: needsType) {
    this.setNeedType.emit(event);
  }
  public getSelected(): string | needsType {
    const selected = this.needsList.filter((need) => need.key == this.currentNeed)[0];
    if (selected) {
      this.validate.emit();
      return selected.key;
    }
  }
}
