import { Component, Input, OnChanges, SimpleChanges } from '@angular/core';
import { mediationSteps } from '../../enums/mediationSteps.enum';

@Component({
  selector: 'app-progress-bar',
  templateUrl: './progress-bar.component.html',
  styleUrls: ['./progress-bar.component.scss'],
})
export class ProgressBarComponent implements OnChanges {
  @Input() currentPage: number;
  @Input() nbSteps: number;
  public progressStatus: number;
  public nbPagesForm: number = Object.keys(mediationSteps).length / 2;

  ngOnChanges(changes: SimpleChanges): void {
    if (changes.currentPage) {
      this.progressStatus = ((this.currentPage + 1) / this.nbPagesForm) * 100;
    }
  }
}
