import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { INeedItem } from '../../../../utils/orientationUtils';

@Component({
  selector: 'app-accompaniment-type',
  templateUrl: './accompaniment-type.component.html',
})
export class AccompanimentTypeComponent implements OnInit {
  @Input() form: UntypedFormGroup;
  @Output() checkValidation = new EventEmitter<any>();

  public selected: string;
  public accompanimentTypes: INeedItem[] = [
    {
      title: "Trouver une structure proposant l'accompagnement adapté",
      hint: "Le bénéficiaire pourra prendre contact avec la structure ou s'y rendre directement",
      key: 'Trouver une structure',
    },
    {
      title: 'Prendre RDV auprès d’un conseiller ou une conseillère numérique',
      hint: 'Redirection vers RDV Aide Numérique pour voir les disponibilités',
      key: 'RDV Conseiller Numérique',
    },
    {
      title: 'Choisir un créneau de médiation numérique à distance',
      hint: 'Le bénéficiaire sera contacté par téléphone sur le créneau de son choix',
      key: 'Médiation Numérique à distance',
    },
  ];
  ngOnInit(): void {
    if (this.form.get('accompanimentType').value !== '') {
      this.selected = this.form.get('accompanimentType').value;
    }
    this.checkValidation.emit();
  }

  public handleSelect(event: string): void {
    this.selected = event;
    this.form.get('accompanimentType').patchValue(event);
    this.checkValidation.emit();
  }
}
