import { Component, EventEmitter, Input, Output } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { OrientationUtils } from '../../../utils/orientationUtils';
import { mediationSteps } from '../enums/mediationSteps.enum';

@Component({
  selector: 'app-onlineDemarch-form',
  templateUrl: './onlineDemarch-form.component.html',
})
export class OnlineDemarchFormComponent {
  @Input() currentStep: mediationSteps;
  @Input() form: UntypedFormGroup;
  @Output() validatePage = new EventEmitter<any>();

  public mediationStepsEnum = mediationSteps;
  public orientationUtils = new OrientationUtils();
  public pagesValidation: any[] = [];

  public checkValidation(): void {
    this.orientationUtils.setValidationsOnlineDemarchForm(
      this.pagesValidation,
      this.form,
      (isValid) => this.validatePage.emit(isValid),
      this.currentStep
    );
  }
}
