import { Component, Input } from '@angular/core';
import { Demarches } from '../../enum/demarches.enum';
import { Labels } from '../../enum/labels.emum';

@Component({
  selector: 'app-logo-card',
  templateUrl: './logo-card.component.html',
  styleUrls: ['./logo-card.component.scss'],
})
export class LogoCardComponent {
  @Input() public name: string;

  public getName(key: string): string {
    if (Labels[key]) {
      return Labels[key];
    } else {
      return key;
    }
  }

  public getPath(value: string): string {
    let path = Object.entries(Demarches).find(([key, val]) => val === value)?.[0];
    return `assets/logos/${path ? path : this.name}.svg`;
  }
}
