import { Component, OnInit } from '@angular/core';
import { PrintService } from '../../../shared/service/print.service';

@Component({
  selector: 'app-structure-list-search-print',
  templateUrl: './structure-list-search-print.component.html',
  styleUrls: ['./structure-list-search-print.component.scss'],
})
export class StructureListSearchPrintComponent implements OnInit {
  public structuresByCommune: {};

  constructor(private printService: PrintService) {}

  ngOnInit(): void {
    this.structuresByCommune = this.printService.structures.reduce((communes, structure) => {
      const commune = communes[structure.address.commune] || [];
      commune.push(structure);
      communes[structure.address.commune] = commune;
      return communes;
    }, {});

    this.printService.onDataReady();
  }
}
